<template>
  <div class='col-sm-12 col-md-12 col-lg-4 col-xl-4 left_panel main_container'>
    <div class='menu_button'>
      <button class='btn btn show_for_small' @click='toggleMenu'>
        Open Menu
      </button>
    </div>
    <div class='content' v-bind:class="{ 'hide_for_small': hideForSmall}">
      <p> Your email:  <b>{{ $store.state.user.email }}</b> </p>
      <p v-if='!logged'>
        <router-link id='sign_in_link' to="/sign_in">Sign In</router-link> 
        or
        <router-link id='sign_up_link' to="/sign_up">Sign Up</router-link>
      </p>
      <button class='btn btn-danger small' id='sign_out_btn' v-if='logged' @click='signOut'> Sign Out </button>
      </h2>
      <div class='menu'>
        Menu:
        <ul>
          <li><router-link id='dashboard_link' to="/">Dashboard</router-link></li>
          <li><router-link id='tasks_link' to="/tasks">Tasks</router-link></li>
        </ul>
      </div>
    </div>
  </div>
</template>

<script>
  export default {
    data () {
      return {
        email: '',
        logged: this.$store.state.logged,
        hideForSmall: true
      }
    },
    mounted() {
      this.$root.$on('signIn', () => {
        this.logged = this.$store.state.logged
      })
      this.$root.$on('signOut', () => {
        this.logged = this.$store.state.logged
        this.$router.push('/')
      })
    },
    methods: {
      signOut() {
        const url = '/api/v1/sessions/sign_out'
        this.$http.delete(url, { headers: { 'auth-token': this.$store.state.user.auth_token }})
        .then((response) => {
          this.$root.$emit('setFlashMsg', { message: response.body.message, type: 'normal' })
          this.$store.dispatch('signOut')
          this.$root.$emit('signOut')
        })
      },
      toggleMenu() {
        this.hideForSmall = !this.hideForSmall
         
      }
    }
  }
</script>
